#
# spec file for package kfourinline
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kfourinline
BuildRequires:  libkdegames-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Declarative)
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kio-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  knewstuff-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  update-desktop-files
Summary:        Four Wins game
License:        LGPL-2.0+
Group:          Amusements/Toys/Other
Url:            http://www.kde.org
Version:        15.12.1
Release:        0
Source0:        kfourinline-%{version}.tar.xz
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Four wins is a two player board game which follows the rules for the
Connect Four (TM) board game where you have to align four pieces of the
same colour to win.


%prep
%setup -q -n kfourinline-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.kfourinline     Game BoardGame

%clean
  rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/kfourinline
%{_kf5_bindir}/kfourinlineproc
%{_kf5_applicationsdir}/org.kde.kfourinline.desktop
%{_kf5_htmldir}/en/kfourinline/
%{_kf5_appsdir}/kfourinline/
%{_kf5_iconsdir}/hicolor/*/*/kfourinline.*
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/kwin4.kcfg
%_kf5_kxmlguidir/kfourinline/

%changelog
